# Background

AI in the supply chain market is expected to go from  $731 Mn in 2018 to $10Bn by 2025, at a CAGR of 46% during the forecast period ([ Marketsandmarkets](https://www.marketsandmarkets.com/Market-Reports/ai-in-supply-chain-market-114588383.html#:~:text=Research%20Reports%20%26%20Consulting-,The%20artificial%20intelligence%20in%20supply%20chain%20market%20is%20expected%20to,45.55%25%20during%20the%20forecast%20period).)

About 23% of logistics costs in the US and 39% in Europe are due to warehouse capital and operating costs ([ResearchGate](https://www.researchgate.net/publication/257941109_The_Effect_of_Slot-Code_Optimization_in_Warehouse_Order_Picking)). Given the extent of this impact on companies’ supply chains,  cost-effective management of warehouses has always been considered critical to the success of businesses.  The linked costs seem to be mostly induced by tracing technologies besides appropriate item allocation.

2.5h is the average time drivers wait for a truck to get loaded once they’ve arrived on site ([Business Insider](https://www.businessinsider.com/truck-drivers-trucking-detention-time-2019-9))

In this context, imagine a large warehouse facility. Trucks are constantly arriving and leaving. Often they show up late or require a specific dock that is being used by someone else. Costs can quickly skyrocket. For instance, it takes an average of 30 minutes to unload 24 pallets off a 48’ trailer, including putting the pallets away. And 2.5 hours is the average time drivers wait to get loaded once they’ve arrived on site. Let’s assume it costs 50$ per hour (truck driver wage + oil), and the delay cost on average is 100$ (we do not take into account the 30min needed to unload the truck, considered as productive time). If we assume that a warehouse is discharging 50 trucks per day, that  incures a daily 5000$ in waiting time. If you then assume that the warehouse is open 300 days per year… you get an annual cost of 1 500 000$ just for waiting time. Multiply by the number of warehouses, you will see the costs skyrocketing.  

Dock optimization is, therefore, a vital touchpoint for warehouses, carriers, and shippers. Businesses that optimize their slots and automate their processes gain a huge competitive advantage. Indeed, avoiding congestion and not having trucks waiting around is a real cost saver, especially as drivers are becoming an increasingly scarce resource. Shippers able to offer predictable delivery times are in high demand.

# Objectives
The goal of this project is to provide supply chain analysts and warehouse managers with a data-driven project that will help them leverage real-time tracking data of incoming trucks to optimize the docks of their warehouse throughout the day:
1. Get the overall view of your warehouses' activities (delays, dock availabilities, ...)
2. Run the optimization of docks with the latest data of  incoming trucks and get a comparative analysis on the trucks' allocation to different docks within open slots. Understand the trucks waiting costs before and after optimization. 


# Key Benefits

The key benefits of this project include:
- Anticipate and limit the impact of delays of trucks to the warehouse (send the reallocation time to the trucks, ...)
- Take measures to improve user satisfaction (e.g. anticipate more workers at peak hours, give trucks visibility, ...)
- Improve processes to increase the warehouse efficiency (run every x hour the flow, send automatic messages, ...)

