# Introduction
The Dataiku Application is used to set up the project and change the input constraints, edit the study parameters and visualize the results of the optimization.

# Sections details

## Edit warehouse data
In this section, you can edit the compatibility of docks and products with the [Input_compatibility](dataset:input_compatibility) dataset:
 -  **Dock** :  Type of product concerned
 -  **Compatibility** :  waiting penalty weight 
 -  **slot_weight** :  slot opening weight 

The compatibility impact how the shipment will be reallocated to a dock or another and slot_weight is used to compute the optimization cost and inefficiency.

Edit the warehouse weights with the [input_weights](dataset:input_weights) dataset:
 -  **Compatibility** :  Type of product concerned
 -  **waiting_penalty_weight** :  waiting penalty weight 

The waiting penalty weight is a key parameter for the reallocation solver and will directly change how the reallocations are made.

Finally, you can edit the opened slots thanks to the webapp, on which you can find more information in the dedicated article. Just make sure you start the backend first! 

## Edit correspondance data
The objective of this section is to edit the correspondence data that converts truck id, shipment id, and warehouse id from the truck tracking data supplier.

The [products_shipments_correspondence](dataset:products_shipments_correspondance) contains the shipment ids and the associated type of product, it's used to link shipments to docks:
 -  **shipment_id** :  all the shipment ids
 -  **type_of_product** :  associated type of product, need to be aligned with the compatibility datasets
  
The [trucks_ID_correspondence](dataset:trucks_ID_correspondance) contains the truck's ids from the trucks tracking software and a meaningful name for end users:
 -  **truck_id** :  truck id from the truck tracking software
 -  **truck_name** :  meaningful name for end users
 
The [warehouse_correspondence](dataset:warehouse_correspondance) contains the warehouse ids trucks tracking software and a meaningful name for end users:
 -  **warehouse_id** :  warehouse id from the trucks tracking software
 -  **warehouse_name** :  meaningful name for end users

## Study parameters
In this section, you can choose the day of observation for the study and the warehouse you wish to focus on.

## Optimize and Visualize results
Finally, you can quickly launch the optimization and visualize the results through the dashboard. More information on the data displayed in the dashboard are available in the [Case Study ](article:10) and [Dashboard](article:5) article.


