This page briefly describes each project component following the flow zones.

# <span style="background-color:#077abf;color:white">1.Input data </span> 
![zones_input_data.png](LvlsyZpzK0n5)
Zone that gathers all the input datasets of the project:
[Truck Correspondence Data ](flow_zone:o7T5nrI)
[Truck Tracking Data](flow_zone:default)
[Warehouse Input Data](flow_zone:HBviFqC)

More information on the data models of each input dataset in the case study, [Use your own data](article:10) section.

# <span style="background-color:#f9be40;color:white">2. Data Preparation </span> 
![zone_data_prep.png](1jnv8VR4tx1f)
[Trucks Tracking Data Preparation](flow_zone:224PYio)
It contains a join recipe joining the dataset of the trucks to the dataset of correspondence. It also include a prepare recipe that performs basic cleaning and pre-processing steps to obtain the dataset used in the optimization. 

[Join and Prepare for optimization](flow_zone:RG2TNEF)
This flow zone starts with joining compatibilities with trucks tracking data on one side and compatibilities with slot availabilities on the other. Then, each preparation steps are explained in the flow by hovering over the steps.
The other branch enriches the prepared trucks tracking data with input weights.

Overall, this zone enriches, cleans, and pre-processes the input datasets to obtain the one used in the optimization. 

# <span style="background-color:#4a8021;color:white">3. Optimization </span>
![zone_optimization.png](voxDL4ID2QX2)
[Optimization](flow_zone:LU2Wbyr) 

This flow zone starts with joining the prepared datasets to get all the possible combinations (for all trucks, all the potential slots) 
Then, a preparation step pre-processes the dataset to be ready for optimization.

See [Scenario & Optimization](article:7) for more details on the optimization algorithm.

#<span style="background-color:#3d4d9f;color:white">4. Visualization </span>
![zones_visualization.png](zNMDfVpkMHKp)
The remaining flow zones contain the data pre-processing to gather the results in the dashboard. Each preparations steps are explained in the flow by hovering over the steps.

The [Daily data visualization](flow_zone:4H8DPe7) is used to generate insights for the Warehouse Activities dashboard, more specially the warehouse indicators.
The [Trucks waiting time](flow_zone:fFi5DsM) is used to generate insights for the Warehouse Activities dashboard, more specially the warehouse optimization of delivery indicators.
The  [comparison](flow_zone:XxkVgXu) is used to generate insights to compare before and after optimization. Obviously, this comparison only works with historical data where the exit timestamp of the trucks is available. 

Finally, several zones computes the visualization of the docks allocation after optimization:
[Availability / saturation of slots before optim](flow_zone:cl3h2Lk)
[Availability of slots after optimization](flow_zone:oWzdjQQ)


