## Run the Optimization

The scenario enables you to run the optimization once you have entered the constraints in the App. 

The optimization aims to allocate the trucks to the available docks while minimizing the costs. As this problem is linear, the solution uses [PuLP library](https://coin-or.github.io/pulp/) to solve the optimization.

If you are unfamiliar with linear programming, you can learn from the [PuLP library's documentation](https://coin-or.github.io/pulp/index.html). 



 **Decision variable:**  Allocation of a (truck, arrival time) to a (dock, slot)
 
(Truck, arrival time): arrival time is essential because a truck can come several times a day to the warehouse. Thus, if we only consider trucks, the allocation of the shipments will be missed by the optimization. We could have chosen to use the shipment as another key to get the unicity of the couple (Truck, Shipment). However, a truck can carry several shipments at the same time. 

x describes all sets of possibilities for (trucks, docks and slots) (before the recipe in the flow)
x(k,i,j) for k in trucks (T) for i in docks (D) for j in slots (S)
x(k,i,j) is binary (can be 0 or 1) 

 **Costs minimized:**  
 Waiting time of trucks. We assume that warehouses are looking to reduce the waiting time of trucks. Indeed, we presume penalties are transferred to the warehouse in case of inefficiencies. 

 **Constraints:**
Docks have product compatibility which should match the trucks’ ones (Done before the optimization recipe, reduce the number of possibilities beforehand)
One pair of (truck, arrival time) variables can only be associated with one pair of (slot, dock) variables.
Reciprocally, one pair of (slot, dock) can only receive one pair of (truck, arrival time)
